Edit

Items - Publish Data Agent

Publishes the staging configuration of the specified DataAgent.

Note

Data Agent configuration management is currently in Preview (learn more).

Promotes the current staging state to the published environment, making it live.

Permissions

The caller must have read and write permissions for the DataAgent.

Required Delegated Scopes

Item.ReadWrite.All or DataAgent.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/dataAgents/{dataAgentId}/staging/publish

URI Parameters

Name In Required Type Description
dataAgentId
path True

string (uuid)

The DataAgent ID.

workspaceId
path True

string (uuid)

The workspace ID.

Request Body

Name Type Description
publishedDescription

string

A description shown when the agent appears in other experiences.

Responses

Name Type Description
200 OK

PublishDataAgentResponse

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - The requested item was not found.

  • InvalidRequest - Invalid request.

Examples

Publish DataAgent example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/f089354e-8366-4e18-aea3-4cb4a3a50b48/dataAgents/41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87/staging/publish

{
  "publishedDescription": "Production release v2 with improved instructions"
}

Sample response

{
  "publishedDescription": "Production release v2 with improved instructions"
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

PublishDataAgentRequest

Publish DataAgent request payload.

PublishDataAgentResponse

Publish DataAgent response.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

PublishDataAgentRequest

Publish DataAgent request payload.

Name Type Description
publishedDescription

string

A description shown when the agent appears in other experiences.

PublishDataAgentResponse

Publish DataAgent response.

Name Type Description
publishedDescription

string

The publish description.